<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZPlayerImplementSwimming Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d22/class_day_z_player_implement_swimming.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZPlayerImplementSwimming Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a1d2b81d3f0110544381bcd6cbcea444f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html#a1d2b81d3f0110544381bcd6cbcea444f">DayZPlayerImplementSwimming</a> (DayZPlayer pPlayer)</td></tr>
<tr class="separator:a1d2b81d3f0110544381bcd6cbcea444f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a729d95d956eb0b0552ba2349396f304e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html#a729d95d956eb0b0552ba2349396f304e">GetWaterDepth</a> ()</td></tr>
<tr class="separator:a729d95d956eb0b0552ba2349396f304e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e43816c152c2288669d24771bd6b71"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html#a43e43816c152c2288669d24771bd6b71">GetCharacterDepth</a> ()</td></tr>
<tr class="separator:a43e43816c152c2288669d24771bd6b71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a70c7bef47dcc9349459afcc71acc25"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html#a5a70c7bef47dcc9349459afcc71acc25">CheckSwimmingStart</a> (out <a class="el" href="../../d7/dfc/classvector.html">vector</a> waterLevel)</td></tr>
<tr class="separator:a5a70c7bef47dcc9349459afcc71acc25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b493ca887c70fa0402d022cee9f2a60"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html#a1b493ca887c70fa0402d022cee9f2a60">HandleSwimming</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pCurrentCommandID, <a class="el" href="../../dd/db0/class_human_command_move.html">HumanCommandMove</a> pCMove, <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a> pState)</td></tr>
<tr class="memdesc:a1b493ca887c70fa0402d022cee9f2a60"><td class="mdescLeft">&#160;</td><td class="mdescRight">ha  <a href="../../db/d22/class_day_z_player_implement_swimming.html#a1b493ca887c70fa0402d022cee9f2a60">More...</a><br /></td></tr>
<tr class="separator:a1b493ca887c70fa0402d022cee9f2a60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a60af8d98f1bd04d02175dd4822b30799"><td class="memItemLeft" align="right" valign="top">DayZPlayer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html#a60af8d98f1bd04d02175dd4822b30799">m_pPlayer</a></td></tr>
<tr class="separator:a60af8d98f1bd04d02175dd4822b30799"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65b2545d789f6163c47306fb9fac7353"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/dec/class_s_human_command_swim_settings.html">SHumanCommandSwimSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html#a65b2545d789f6163c47306fb9fac7353">m_pSettings</a></td></tr>
<tr class="separator:a65b2545d789f6163c47306fb9fac7353"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5764c193fb5234ceb281da9732b2d076"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html#a5764c193fb5234ceb281da9732b2d076">m_bWasSwimming</a> = false</td></tr>
<tr class="separator:a5764c193fb5234ceb281da9732b2d076"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00002">2</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1d2b81d3f0110544381bcd6cbcea444f" name="a1d2b81d3f0110544381bcd6cbcea444f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d2b81d3f0110544381bcd6cbcea444f">&#9670;&#160;</a></span>DayZPlayerImplementSwimming()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZPlayerImplementSwimming::DayZPlayerImplementSwimming </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>pPlayer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00009">9</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5a70c7bef47dcc9349459afcc71acc25" name="a5a70c7bef47dcc9349459afcc71acc25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a70c7bef47dcc9349459afcc71acc25">&#9670;&#160;</a></span>CheckSwimmingStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementSwimming::CheckSwimmingStart </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>waterLevel</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00031">31</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>

</div>
</div>
<a id="a43e43816c152c2288669d24771bd6b71" name="a43e43816c152c2288669d24771bd6b71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43e43816c152c2288669d24771bd6b71">&#9670;&#160;</a></span>GetCharacterDepth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementSwimming::GetCharacterDepth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00023">23</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>

</div>
</div>
<a id="a729d95d956eb0b0552ba2349396f304e" name="a729d95d956eb0b0552ba2349396f304e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a729d95d956eb0b0552ba2349396f304e">&#9670;&#160;</a></span>GetWaterDepth()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZPlayerImplementSwimming::GetWaterDepth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00015">15</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>

</div>
</div>
<a id="a1b493ca887c70fa0402d022cee9f2a60" name="a1b493ca887c70fa0402d022cee9f2a60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b493ca887c70fa0402d022cee9f2a60">&#9670;&#160;</a></span>HandleSwimming()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementSwimming::HandleSwimming </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pCurrentCommandID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/db0/class_human_command_move.html">HumanCommandMove</a>&#160;</td>
          <td class="paramname"><em>pCMove</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>&#160;</td>
          <td class="paramname"><em>pState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ha </p>
<p >get water level</p>
<p >now movement</p>
<p >handled !</p>

<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00037">37</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a5764c193fb5234ceb281da9732b2d076" name="a5764c193fb5234ceb281da9732b2d076"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5764c193fb5234ceb281da9732b2d076">&#9670;&#160;</a></span>m_bWasSwimming</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZPlayerImplementSwimming::m_bWasSwimming = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00007">7</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>

</div>
</div>
<a id="a60af8d98f1bd04d02175dd4822b30799" name="a60af8d98f1bd04d02175dd4822b30799"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60af8d98f1bd04d02175dd4822b30799">&#9670;&#160;</a></span>m_pPlayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">DayZPlayer DayZPlayerImplementSwimming::m_pPlayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00005">5</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>

</div>
</div>
<a id="a65b2545d789f6163c47306fb9fac7353" name="a65b2545d789f6163c47306fb9fac7353"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65b2545d789f6163c47306fb9fac7353">&#9670;&#160;</a></span>m_pSettings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/dec/class_s_human_command_swim_settings.html">SHumanCommandSwimSettings</a> DayZPlayerImplementSwimming::m_pSettings</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html#l00006">6</a> of file <a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/<a class="el" href="../../dd/d6c/_day_z_player_implement_swimming_8c_source.html">DayZPlayerImplementSwimming.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d22/class_day_z_player_implement_swimming.html">DayZPlayerImplementSwimming</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
